#### D.6.3.3 corank

Procedure from library `classify.lib` (see classify_lib).

Usage:
  corank(f); f=poly

Return:
  the corank of the Hessian matrix of f, of type int

Remark:
  corank(f) is the number of variables occuring in the residual singularity after applying 'morsesplit' to f

Example:

    LIB "classify.lib";
    ring r=0,(x,y,z),ds;
    poly f=(x2+3y-2z)^2+xyz-(x-y3+x2*z3)^3;
    corank(f);
    ==> 2

User manual for Singular version 4-0-3, 2016, generated by texi2html.